import 'package:flutter/material.dart';
import 'package:textfield_have_range_button/main.dart';
import 'package:textfield_have_range_button/widgets/base/text_field_base.dart';

class InputFieldHaveRangeButton extends StatelessWidget {
  const InputFieldHaveRangeButton({
    super.key,
    this.hintText,
    this.errorText,
    this.maxLength,
    this.boxDecoration,
    this.inputDecoration,
    this.focusNode,
    this.isHaveError = false,
  });

  final String? hintText;
  final String? errorText;
  final int? maxLength;
  final BoxDecoration? boxDecoration;
  final InputDecoration? inputDecoration;
  final FocusNode? focusNode;
  final bool isHaveError;

  // Color get titleColor =>
  //     isHaveError ? ColorUtils.errorBgInput : ColorUtils.black;

  @override
  Widget build(BuildContext context) {
    return UpAndDownTextField(
      padding: EdgeInsets.zero,
      inputFormatters: [],
      decoration: inputDecoration ??
          InputDecoration(
              border: InputBorder.none,
              focusedBorder: InputBorder.none,
              enabledBorder: InputBorder.none,
              errorBorder: InputBorder.none,
              disabledBorder: InputBorder.none,
              hintText: hintText,
              fillColor: Colors.black),
      boxDecoration: boxDecoration ??
          BoxDecoration(
            borderRadius: BorderRadius.all(Radius.circular(4)),
          ),
      focusNode: focusNode,
      maxLength: maxLength,
      // type: TextFieldType.price,
    );
  }
}
